<template xmlns:v-slot="http://www.w3.org/1999/XSL/Transform">
	<div class="n-list">
		<v-card-title>
			<i
				:class="['n-btn n-btn-delete', !selected.length ? 'disable' : '']"
				@click="onConfirmDeleteItems(selected)"
			>
				delete
			</i>
			<i
				class="n-btn n-btn-refresh"
				@click="onRefresh"
			>
				refresh
			</i>
			<v-spacer></v-spacer>
			<v-text-field
				v-model="search"
				class="n-search"
				prepend-icon="search"
				hide-details
				single-line
			></v-text-field>
			<v-btn color="primary" dark class="mb-2 n-btn n-btn-add-new" @click="onAddNew">Add New Campaign</v-btn>
		</v-card-title>
		<v-data-table
			v-model="selected"
			:headers="headers"
			:items="adList"
			:pagination.sync="pagination"
			select-all
			item-key="name"
			class="ad-list"
		>
			<template v-slot:headers="props">
				<tr>
					<th>
						<v-checkbox
							:input-value="props.all"
							:indeterminate="props.indeterminate"
							primary
							hide-details
							@click.stop="toggleAll"
							class="n-checkbox"
						></v-checkbox>
					</th>
					<th
						v-for="header in props.headers"
						:key="header.text"
						class="text-xs-left"
						@click="changeSort(header.value)"
					>
						<i v-if="header.text !== 'Actions'" class="n-sort"></i>
						{{ header.text }}
					</th>
				</tr>
			</template>
			<template v-slot:items="props">
				<tr>
					<td :active="props.selected" @click="props.selected = !props.selected">
						<v-checkbox
							:input-value="props.selected"
							primary
							hide-details
							class="n-checkbox"
						></v-checkbox>
					</td>
					<td>{{ props.item.name }}</td>
					<td>{{ props.item.client }}</td>
					<td>{{ props.item.type }}</td>
					<td>
						<span class="time">{{ props.item.createdDate.time }}</span>
						<span>{{ props.item.createdDate.date }}</span>
					</td>
					<td>
						<div class="n-switch">
							<v-switch
								class="n-switch-item"
								:color="nSwitchColor.active"
								v-model="props.item.isActive"
								:input-value="props.item.isActive"
								:label="toCapitalizeFirstChar(props.item.status)"
								v-on:change="onSwitch(props.item, $event)"></v-switch>
						</div>
					</td>
					<td>
						<div>
							<i
								class="n-btn n-btn-edit"
								@click="onEditItem(props.item.id)"
							>
								edit
							</i>
							<i
								class="n-btn n-btn-delete"
								@click="onConfirmDeleteItem(props.item)"
							>
								delete
							</i>
						</div>
					</td>
				</tr>
			</template>
		</v-data-table>
		<div class="text-xs-center">
			<v-dialog
				v-model="isConfirmAction"
				max-width="400"
			>
				<v-card class="n-dialog">

					<v-card-text class="n-dialog-content" v-html="dialogMessage">
					</v-card-text>

					<v-card-actions>
						<div class="n-dialog-actions">
							<a
								class="n-btn n-btn-yes"
								@click="onDoAction(action)"
							>
								Yes
							</a>
							<a
								class="n-btn n-btn-no"
								@click="onNoAction()"
							>
								No
							</a>
						</div>
					</v-card-actions>
				</v-card>
			</v-dialog>
		</div>
	</div>
</template>
<script src='./index.js'></script>
<style scoped lang="scss" src='./styles.scss'></style>
